Name: SearchAndRescue
Version: 0.8.2
Release: alt6

Summary: The Search and Rescue helicopter simulator

License: GPL
# https://launchpad.net/ubuntu/+source/searchandrescue/
Url: http://wolfpack.twu.net/SearchAndRescue/index.html
Group: Games/Sports

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://wolfpack.twu.net/users/wolfpack/%name-%version.tar.bz2
Source1: http://wolfpack.twu.net/users/wolfpack/%name-data-%version.tar.bz2
Source2: searchandrescue.desktop
Source11: %name-16.png
Source12: %name-32.png
Source13: %name-48.png
Patch: %name-%version.patch

# rpm-build-java rpm-build-mono rpm-build-seamonkey
# Automatically added by buildreq on Sat Nov 29 2008
BuildRequires: gcc-c++ libGL-devel libSM-devel libXext-devel libXi-devel libXmu-devel libXpm-devel libjsw-devel xorg-sdk xorg-xf86vidmodeproto-devel

%description
Changing the pace of recent sterotypical game themes, Search and Rescue aims to
create a plot based on positive goals such as saving victims in varying
situations of distress.
The player will be given the chance to pilot different types of rescue aircraft
in a variety of search and rescue style missions.
Search and Rescue is highly customizeable by allowing intermediate players to
create their own missions and allowing experienced players to design their own
aircraft and scenery.

%prep
%setup -q
%patch
%__subst "s|/usr/lib|%_libdir|g" sar/*.ini
mkdir data
tar xjf %SOURCE1 -C data

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure Linux -v --disable=arch-i686 --libdir=-L%_libdir
%make_build

%install
make PREFIX=%buildroot%prefix MAN_DIR=%buildroot%_man6dir install
install -d -m 755 %buildroot%_gamesdatadir/%name
cp -r data/* %buildroot%_gamesdatadir/%name

# icons
install -m644 %SOURCE11 -D %buildroot%_miconsdir/%name.png
install -m644 %SOURCE12 -D %buildroot%_iconsdir/%name.png
install -m644 %SOURCE13 -D %buildroot%_liconsdir/%name.png
# menu
install -m644 %SOURCE2 -D %buildroot%_desktopdir/%name.desktop

%files
%doc AUTHORS HACKING README
%_gamesbindir/*
%_gamesdatadir/%name/
%_man6dir/*
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_iconsdir/%name.png
%_iconsdir/%{name}*.xpm
%_liconsdir/%name.png

%changelog
* Sat Nov 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt6
- cleanup spec, update buildreqs
- fix build on x86_64

* Thu May 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt5
- enable SMP-build
- update buildreqs

* Tue May 22 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt4
- fix description (bug #11836)
- replace Debian menu with desktop file

* Mon Sep 18 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt3
- add fixes for gcc4

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt2
- cleanup spec
- change Group and menu section

* Sat Sep 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt1
- first build for Sisyphus

* Mon Sep 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-1mdk
- 0.8.2

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.1-4mdk
- rebuild for new menu
- cosmetics

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-3mdk
- explicit --libdir

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-2mdk
- rebuild
- rpmbuilupdate aware
- no more explicit requires
- fixed buildrequires
- fixed menu section

* Mon Jul 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.1-1mdk
- 0.8.1
- quiet setup
- add new xpm files

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.21-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Tue Feb 18 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.21-1mdk
- 0.7.21

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.20-3mdk
- add xpm icon

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.20-2mdk
- rebuild

* Mon Jul 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.20-1mdk
- 0.7.20
- build with new gcc

* Fri Mar 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.19-1mdk
- 0.7.19
- used png for icons

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.15-2mdk
- rebuild with new libjsw
- spec cleanup

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.15-1mdk
- 0.7.15

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-2mdk
- rebuild against new jsw

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-1mdk
- updated to 0.7e

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-2mdk
- updated by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- fix compilation flags
	- added Mesa-common-devel to buildrequires
	- synced with Lenny's spec

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-1mdk
- updated to 0.7d
- fix install

* Wed Mar 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7c-1mdk
- updated to 0.7c
- fix requires & added buildrequires

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- use egcs
- used specfile from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- corrected summary (Packager's law : any copy & paste will bring at least one error in specfile)

* Tue Feb 06 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.7-1mdk
- first Mandrake release
